Bug 1262793 - [upgrade] After upgrade from 3.5 to 3.6, probing a new 3.6 node is moving the peer to rejected state
[upgrade] After upgrade from 3.5 to 3.6, probing a new 3.6 node is moving the...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.7.0
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Atin Mukherjee
glusterd
: Triaged
Depends On: 1248895
Blocks: 1262805 1277823
  Show dependency treegraph
 
Reported: 2015-09-14 07:38 EDT by Atin Mukherjee
Modified: 2016-02-13 22:16 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1248895
: 1262805 (view as bug list)
Environment:
Last Closed: 2016-02-13 22:16:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Vijay Bellur 2015-09-14 07:42:12 EDT
REVIEW: http://review.gluster.org/12171 (glusterd: call glusterd_store_volinfo in bump up op-version) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 2 Vijay Bellur 2015-10-28 02:37:08 EDT
REVIEW: http://review.gluster.org/12435 (glusterd: call glusterd_store_volinfo in bump up op-version) posted (#1) for review on release-3.7 by Anand Nekkunti (anekkunt@redhat.com)
Comment 3 Vijay Bellur 2015-10-28 02:47:30 EDT
REVIEW: http://review.gluster.org/12435 (glusterd: Call glusterd_store_volinfo in bump up op-version) posted (#2) for review on release-3.7 by Anand Nekkunti (anekkunt@redhat.com)
Comment 4 Vijay Bellur 2015-10-28 04:08:33 EDT
REVIEW: http://review.gluster.org/12435 (glusterd: call glusterd_store_volinfo in bump up op-version) posted (#3) for review on release-3.7 by Anand Nekkunti (anekkunt@redhat.com)
Comment 5 Vijay Bellur 2015-10-28 09:39:17 EDT
COMMIT: http://review.gluster.org/12435 committed in release-3.7 by Jeff Darcy (jdarcy@redhat.com) 
------
commit e831f6101ac7ea2e73f410c17d74b78e5472b75c
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Mon Sep 14 17:09:29 2015 +0530

    glusterd: call glusterd_store_volinfo in bump up op-version
    
    After an upgrade, op-version is expected to be updated through gluster volume
    set. If the new version introduces any feature which changes volinfo structure
    without storing the default values of these new options would result into cksum
    issues.
    
    Backport of:
    >Change-Id: I57b4667f3403839811735bf66bef29e5200a9241
    >BUG: 1262805
    >Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    >Reviewed-on: http://review.gluster.org/12171
    >Tested-by: Gluster Build System <jenkins@build.gluster.com>
    >Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    >Reviewed-by: Gaurav Kumar Garg <ggarg@redhat.com>
    >(cherry picked from commit c3ed484af54e32c1ef2300cda652604d75dc9d20)
    
    Change-Id: I2640a2cfce5e43a9f21ec1d7e1751327b8b8f05d
    BUG: 1262793
    Signed-off-by:  anand <anekkunt@redhat.com>
    Reviewed-on: http://review.gluster.org/12435
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
Comment 6 Atin Mukherjee 2016-02-13 22:16:40 EST
The fix is already available in latest 3.7.x release, hence closing this bug.

Note You need to log in before you can comment on or make changes to this bug.